Get Inventory
curl --request GET \
--url https://api.loopreturns.com/api/v1/inventories/{productVariantId}/{locationId} \
--header 'X-Authorization: <api-key>'import requests
url = "https://api.loopreturns.com/api/v1/inventories/{productVariantId}/{locationId}"
headers = {"X-Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};
fetch('https://api.loopreturns.com/api/v1/inventories/{productVariantId}/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inventory": {
"available_count": 123,
"product_variant": {
"id": 123,
"name": "<string>",
"external_id": "<string>",
"sku": "<string>",
"weight_grams": 123,
"barcode": "<string>"
},
"location": {
"id": 123,
"name": "<string>",
"address": {
"name": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"postal_code": "<string>",
"country_code": "<string>"
},
"external_id": "<string>"
}
}
}{
"errors": "<string>"
}{
"message": "<string>"
}Inventories
Get Inventory
Get inventory details for a product variant by location.
GET
/
inventories
/
{productVariantId}
/
{locationId}
Get Inventory
Authorizations
API Scope: "Inventory (read)"
Path Parameters
The unique identifier for the product variant, created by Loop.
Example:
653985747439023600
The unique identifier for the location, created by Loop.
Example:
631923350119788400
Response
Success
Show child attributes
Show child attributes
⌘I